<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Wind.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">dto.openweather</a> &gt; <span class="el_source">Wind.java</span></div><h1>Wind.java</h1><pre class="source lang-java linenums">/*
 * OpenWeatherMap API
 * Sample OpenWeather API.
 *
 * OpenAPI spec version: 2.5
 * Contact: kpshinde25@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package dto.openweather;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import io.swagger.v3.oas.annotations.media.Schema;
import java.math.BigDecimal;
import java.io.Serializable;
import javax.validation.constraints.*;
import javax.validation.Valid;

/**
 * Wind
 */
<span class="nc" id="L27">@javax.annotation.Generated(value = &quot;io.swagger.codegen.v3.generators.java.JavaJerseyServerCodegen&quot;, date = &quot;2023-11-24T13:51:58.004723400+01:00[Europe/Paris]&quot;)public class Wind  implements Serializable  {</span>
<span class="nc" id="L28">  @JsonProperty(&quot;speed&quot;)</span>
  private BigDecimal speed = null;

<span class="nc" id="L31">  @JsonProperty(&quot;deg&quot;)</span>
  private Integer deg = null;

  public Wind speed(BigDecimal speed) {
<span class="nc" id="L35">    this.speed = speed;</span>
<span class="nc" id="L36">    return this;</span>
  }

  /**
   * Wind speed. Unit Default: meter/sec, Metric: meter/sec, Imperial: miles/hour.
   * @return speed
   **/
  @JsonProperty(&quot;speed&quot;)
  @Schema(example = &quot;5.1&quot;, description = &quot;Wind speed. Unit Default: meter/sec, Metric: meter/sec, Imperial: miles/hour.&quot;)
  @Valid
  public BigDecimal getSpeed() {
<span class="nc" id="L47">    return speed;</span>
  }

  public void setSpeed(BigDecimal speed) {
<span class="nc" id="L51">    this.speed = speed;</span>
<span class="nc" id="L52">  }</span>

  public Wind deg(Integer deg) {
<span class="nc" id="L55">    this.deg = deg;</span>
<span class="nc" id="L56">    return this;</span>
  }

  /**
   * Wind direction, degrees (meteorological)
   * @return deg
   **/
  @JsonProperty(&quot;deg&quot;)
  @Schema(example = &quot;150&quot;, description = &quot;Wind direction, degrees (meteorological)&quot;)
  public Integer getDeg() {
<span class="nc" id="L66">    return deg;</span>
  }

  public void setDeg(Integer deg) {
<span class="nc" id="L70">    this.deg = deg;</span>
<span class="nc" id="L71">  }</span>


  @Override
  public boolean equals(java.lang.Object o) {
<span class="nc bnc" id="L76" title="All 2 branches missed.">    if (this == o) {</span>
<span class="nc" id="L77">      return true;</span>
    }
<span class="nc bnc" id="L79" title="All 4 branches missed.">    if (o == null || getClass() != o.getClass()) {</span>
<span class="nc" id="L80">      return false;</span>
    }
<span class="nc" id="L82">    Wind wind = (Wind) o;</span>
<span class="nc bnc" id="L83" title="All 2 branches missed.">    return Objects.equals(this.speed, wind.speed) &amp;&amp;</span>
<span class="nc bnc" id="L84" title="All 2 branches missed.">        Objects.equals(this.deg, wind.deg);</span>
  }

  @Override
  public int hashCode() {
<span class="nc" id="L89">    return Objects.hash(speed, deg);</span>
  }


  @Override
  public String toString() {
<span class="nc" id="L95">    StringBuilder sb = new StringBuilder();</span>
<span class="nc" id="L96">    sb.append(&quot;class Wind {\n&quot;);</span>
    
<span class="nc" id="L98">    sb.append(&quot;    speed: &quot;).append(toIndentedString(speed)).append(&quot;\n&quot;);</span>
<span class="nc" id="L99">    sb.append(&quot;    deg: &quot;).append(toIndentedString(deg)).append(&quot;\n&quot;);</span>
<span class="nc" id="L100">    sb.append(&quot;}&quot;);</span>
<span class="nc" id="L101">    return sb.toString();</span>
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
<span class="nc bnc" id="L109" title="All 2 branches missed.">    if (o == null) {</span>
<span class="nc" id="L110">      return &quot;null&quot;;</span>
    }
<span class="nc" id="L112">    return o.toString().replace(&quot;\n&quot;, &quot;\n    &quot;);</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>